lkml.org 
[lkml]   [2003]   [Jan]   [20]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
Subjectegcs (or compatible) compiler

I tried to find the "latest and greatest" gcc compiler that
will compile the kernel. I can't find the source anywhere!
Apparently, gnu doesn't "do" the compiler anymore, it's now
called egcs and is supposed to be on goof.com according to
the links from the GCC home page. They only have patches.
The last source-code I have been able to find for gcc is
gcc-3.0.1.tar.gz and it won't even compile under egcs-2.9.1.66
(which I installed about a year ago before it became unavailable
and dissappeared).

So, what gives? Any hints on how I get the source of the most
recommended gcc, that will actually compile on a previous version
of gcc? I'm presently using egcs-2.9.1.66, but newer kernels won't
compile using it. They fail to link with "__rawmemchr" errors, i.e.,
caused by code that gets the string-length by doing strchr(s, 0),
i.e., looks for the null. This envokes some __rammemchr() function
that doesn't exist.

Cheers,
Dick Johnson
Penguin : Linux version 2.4.18 on an i686 machine (797.90 BogoMips).
Why is the government concerned about the lunatic fringe? Think about it.


-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:32    [W:0.035 / U:9.520 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site